List all data sources for the shop.
GET
https://core.shopimind.com/v1/data-sources
Returns all data sources (active and inactive) ordered by parent_id then creation date. Sources with a parent_id represent child sources grouped under a parent integration.
Parameters
Header Parameters
spm-api-key*
[Authentication] Required API key.
Type
Requiredstring
Pattern
"^[a-zA-Z0-9-]{20,64}$"Responses
Successfully retrieved data sources.
application/json
JSON "statusCode": 200, "data": [ { "id_data_source": 1, "id_shop": 42, "label": "Prestashop", "type": "ecommerce_connector", "is_default": true, "config": null, "active": true, "parent_id": null, "created_at": "2024-01-15T10:00:00.000Z", "updated_at": "2024-01-15T10:00:00.000Z" }, { "id_data_source": 2, "id_shop": 42, "label": "Hiboutik", "type": "api", "is_default": false, "config": "{"api_key": "..."}", "active": true, "parent_id": null, "created_at": "2024-06-01T08:00:00.000Z", "updated_at": "2024-06-01T08:00:00.000Z" }, { "id_data_source": 3, "id_shop": 42, "label": "Magasin Paris", "type": "api", "is_default": false, "config": null, "active": true, "parent_id": 2, "created_at": "2024-06-01T08:30:00.000Z", "updated_at": "2024-06-01T08:30:00.000Z" } ]
{
}
List all data sources for the shop. Returns all data sources (active and inactive) ordered by parent_id then creation date. Sources with a parent_id represent child sources grouped under a parent integration. GET /v1/data-sources listDataSources Data Sources spm-api-key [Authentication] Required API key. Successfully retrieved data sources. Client error - Invalid request or authentication issues Server error - Internal processing failure